/* Distributed Directory Server (DDirServ) by Catid@pacbell.net
 *  Directives:
 * + Securely manage a list of game servers
 * + Mirror zone data from other directory servers
 * + Minimize bandwidth requirements, transfer time amd CPU usage
 * + Keep detailed, verbose, readable logs
 * + Manage an exportable statistics file
 * + Periodically poll zones with ping packets
 */

#include "sslib.h"
#include "md5.h"

#include <windows.h>
#include <conio.h>

directoryServer * dserv;

void addZone(serverEntry * se)
{
	dserv->zlist.updateZone(se->ip,
							se->port,
							se->population,
							se->scoring,
							se->version, 
							se->name,
							se->comment);
}

clusterMessage * getZoneList(Uint32 min)
{
	return dserv->makeZoneList(min);
}

void main()
{
	beginWinsock();

	dserv = new directoryServer;

	printf("Distributed Directory Server (Build 2)\n\n");

	while (!kbhit())
	{
		dserv->doEvents();

		Sleep(15);
	}

	delete dserv;

	endWinsock();
}
